<div [class.span-row]="getFormControl(formDefinition.retentionUnits)?.value !== retentionPolicyEnum.forever">
  <ng-container *ngIf="getFormControl(formDefinition.retentionUnits)?.value === retentionPolicyEnum.days">
    <mat-form-field *ngIf="getFormControl(formDefinition.retention) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.retention | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
             type="number"
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>
  </ng-container>

  <ng-container *ngIf="getFormControl(formDefinition.retentionUnits)?.value === retentionPolicyEnum.years">
    <mat-form-field *ngIf="getFormControl(formDefinition.retention) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.retention | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
             type="number"
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>
  </ng-container>

  <ng-container *ngIf="getFormControl(formDefinition.retentionUnits)?.value === retentionPolicyEnum.centuries">
    <mat-form-field *ngIf="getFormControl(formDefinition.retention) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.retention | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
             min="0"
             type="number"
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>
  </ng-container>


  <mat-form-field *ngIf="getFormControl(formDefinition.retentionUnits) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  [class.is-forever]="getFormControl(formDefinition.retentionUnits)?.value === retentionPolicyEnum.forever"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.units | translate}}</mat-label>
    <mat-select [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
    >
      <mat-option *ngFor="let unit of listUnits"
                  [value]="unit.key"
                  solidifyTooltipOnEllipsis
      >
        {{unit.value | translate}}
      </mat-option>
    </mat-select>
  </mat-form-field>
</div>
